diff -ruN vdr-1.5.17/CONTRIBUTORS vdr-1.5.18/CONTRIBUTORS
--- vdr-1.5.17/CONTRIBUTORS	2008-03-01 11:21:12.000000000 +0100
+++ vdr-1.5.18/CONTRIBUTORS	2008-03-14 14:11:28.000000000 +0100
@@ -1046,6 +1046,10 @@
  SVDRP in case VDR is run with --vfat, in order to avoid names that are too long
  for Windows
  for increasing the valid range of the "Subtitle offset" setup option to -100...100
+ for a patch that was used to fix automatically selecting the preferred subtitle
+ language
+ for fixing displaying the free disk space when entering the recordings menu where
+ the last replayed recording was in a subdirectory, and pressing Back
 
 Ralf Klueber <ralf.klueber@vodafone.com>
  for reporting a bug in cutting a recording if there is only a single editing mark
@@ -1715,6 +1719,7 @@
  for suggesting to implement a timeout for remote controls that don't deliver
  "repeat" keypresses very fast
  for reporting a broken entry 'A111.1W' in sources.conf
+ for translating OSD texts to the Spanish and Catalanian language
 
 Mikko Salo <mikko.salo@ppe.inet.fi>
  for suggesting to make the setup option "DVB/Video display format" available only
@@ -2104,6 +2109,8 @@
  for suggesting that the 'plugins' target in the Makefile should return an error exit
  code if one of the plugins failed to compile
  for making the non-breaking space symbol be rendered as a blank
+ for fixing a signed character used as index in cBase64Encoder::NextLine()
+ for fixing formatting the name section in the VDR man pages
 
 Helge Lenz <h.lenz@gmx.de>
  for reporting a bug in setting the 'Delta' parameter when calling the shutdown
@@ -2321,3 +2328,16 @@
 
 Johan Schuring <johan.schuring@vetteblei.nl>
  for translating OSD texts to the Dutch language
+
+Sundararaj Reel <sundararaj.reel@googlemail.com>
+ for reporting a missing reset of maxNumber in cChannels::Renumber()
+
+Ales Jurik <ajurik@quick.cz>
+ for reporting broken SI data on Czech/Slovak channels after changing the default
+ character set to ISO-8859-9
+
+Magnus Andersson <svankan@bahnhof.se>
+ for translating OSD texts to the Swedish language
+
+Alexander Gross <Bikalexander@gmail.com>
+ for adding Russian translations to the 'skincurses' and 'pictures' plugins
diff -ruN vdr-1.5.17/HISTORY vdr-1.5.18/HISTORY
--- vdr-1.5.17/HISTORY	2008-03-02 11:25:13.000000000 +0100
+++ vdr-1.5.18/HISTORY	2008-03-16 12:48:13.000000000 +0100
@@ -5693,3 +5693,32 @@
 - Changed the default character set for SI data from ISO6937 (as required by the DVB
   standard ETSI EN 300 468) to ISO-8859-9, in order to work around the stupidity of
   some providers, who actually use ISO-8859-9, but fail to correctly announce that.
+
+2008-03-16: Version 1.5.18
+
+- Added a missing reset of maxNumber in cChannels::Renumber() (reported by Sundararaj
+  Reel).
+- Revoked the fixed change of the default character set for SI data and introduced
+  an environment variable to control it (thanks to Ales Jurik for reporting broken
+  SI data on the Czech/Slovak channels, which actually do follow the standard).
+  Users who want to set the default character set to something different can do this
+  by setting the environment variable VDR_CHARSET_OVERRIDE to something like
+  ISO-8859-9.
+- Fixed a signed character used as index in cBase64Encoder::NextLine() (thanks
+  to Tobias Grimm).
+- Updated the Spanish and Catalanian OSD texts (thanks to Luca Olivetti).
+- Fixed automatically selecting the preferred subtitle language (based on a patch
+  from Rolf Ahrenberg).
+- Updated the Ukrainian OSD texts (thanks to Yarema Aka Knedlyk).
+- Updated the Italian OSD texts (thanks to Diego Pierotto).
+- Updated the Polish OSD texts (thanks to Michael Rakowski).
+- Fixed formatting the name section in the VDR man pages (thanks to Tobias Grimm).
+- Updated the Swedish OSD texts (thanks to Magnus Andersson).
+- Added Russian translations to the 'skincurses' and 'pictures' plugins (thanks
+  to Alexander Gross).
+- Fixed displaying the free disk space when entering the recordings menu where the
+  last replayed recording was in a subdirectory, and pressing Back (thanks to Rolf
+  Ahrenberg).
+- Fixed tuning to a live channel after a recording has been stopped using the
+  'Back' key.
+- Resetting a timer's 'pending' flag when it has ended.
diff -ruN vdr-1.5.17/PLUGINS/src/pictures/HISTORY vdr-1.5.18/PLUGINS/src/pictures/HISTORY
--- vdr-1.5.17/PLUGINS/src/pictures/HISTORY	2008-02-29 15:38:44.000000000 +0100
+++ vdr-1.5.18/PLUGINS/src/pictures/HISTORY	2008-03-14 13:56:50.000000000 +0100
@@ -29,3 +29,7 @@
 
 - Made the 'pic2mpg' script of the 'pictures' plugin work with uppercase filename
   extensions and relative paths (reported by Stefan Wagner <stefanwag@gmx.at>).
+
+2008-03-14: Version 0.0.7
+
+- Added Russian translations (thanks to Alexander Gross).
diff -ruN vdr-1.5.17/PLUGINS/src/pictures/pictures.c vdr-1.5.18/PLUGINS/src/pictures/pictures.c
--- vdr-1.5.17/PLUGINS/src/pictures/pictures.c	2008-02-29 15:38:31.000000000 +0100
+++ vdr-1.5.18/PLUGINS/src/pictures/pictures.c	2008-03-14 13:57:19.000000000 +0100
@@ -3,7 +3,7 @@
  *
  * See the README file for copyright information and how to reach the author.
  *
- * $Id: pictures.c 1.6 2008/02/29 14:38:31 kls Exp $
+ * $Id: pictures.c 1.7 2008/03/14 12:57:19 kls Exp $
  */
 
 #include <getopt.h>
@@ -11,7 +11,7 @@
 #include "menu.h"
 #include "player.h"
 
-static const char *VERSION       = "0.0.6";
+static const char *VERSION       = "0.0.7";
 static const char *DESCRIPTION   = trNOOP("A simple picture viewer");
 static const char *MAINMENUENTRY = trNOOP("Pictures");
 
diff -ruN vdr-1.5.17/PLUGINS/src/pictures/po/ru_RU.po vdr-1.5.18/PLUGINS/src/pictures/po/ru_RU.po
--- vdr-1.5.17/PLUGINS/src/pictures/po/ru_RU.po	1970-01-01 01:00:00.000000000 +0100
+++ vdr-1.5.18/PLUGINS/src/pictures/po/ru_RU.po	2008-03-16 12:43:08.000000000 +0100
@@ -0,0 +1,33 @@
+# VDR plugin language source file.
+# Copyright (C) 2008 Klaus Schmidinger <kls@cadsoft.de>
+# This file is distributed under the same license as the VDR package.
+# Alexander Gross <Bikalexander@gmail.com>, 2008
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: VDR 1.6.0\n"
+"Report-Msgid-Bugs-To: <vdr-bugs@cadsoft.de>\n"
+"POT-Creation-Date: 2008-01-12 17:38+0100\n"
+"PO-Revision-Date: 2008-03-14 00:45+0100\n"
+"Last-Translator: Alexander Gross <Bikalexander@gmail.com>\n"
+"Language-Team: Russian\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=ISO-8859-5\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=2; plural=(n != 1);\n"
+"X-Generator: KBabel 1.11.4\n"
+
+msgid "Pictures"
+msgstr ""
+
+msgid "A simple picture viewer"
+msgstr "   "
+
+msgid "Picture directory"
+msgstr " "
+
+msgid "Slide show delay (s)"
+msgstr "  - ()"
+
+msgid "No picture directory has been defined!"
+msgstr "   !"
diff -ruN vdr-1.5.17/PLUGINS/src/skincurses/HISTORY vdr-1.5.18/PLUGINS/src/skincurses/HISTORY
--- vdr-1.5.17/PLUGINS/src/skincurses/HISTORY	2008-02-23 11:50:28.000000000 +0100
+++ vdr-1.5.18/PLUGINS/src/skincurses/HISTORY	2008-03-14 13:56:42.000000000 +0100
@@ -75,3 +75,7 @@
 
 - Revised the fix of calculating the scrollbar height in the skins. The scrollbar
   handle now always has a height that is at least the width of the scrollbar.
+
+2008-03-14: Version 0.1.7
+
+- Added Russian translations (thanks to Alexander Gross).
diff -ruN vdr-1.5.17/PLUGINS/src/skincurses/po/ru_RU.po vdr-1.5.18/PLUGINS/src/skincurses/po/ru_RU.po
--- vdr-1.5.17/PLUGINS/src/skincurses/po/ru_RU.po	1970-01-01 01:00:00.000000000 +0100
+++ vdr-1.5.18/PLUGINS/src/skincurses/po/ru_RU.po	2008-03-16 12:43:11.000000000 +0100
@@ -0,0 +1,29 @@
+# VDR plugin language source file.
+# Copyright (C) 2008 Klaus Schmidinger <kls@cadsoft.de>
+# This file is distributed under the same license as the VDR package.
+# Alexander Gross <Bikalexander@gmail.com>, 2008
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: VDR 1.6.0\n"
+"Report-Msgid-Bugs-To: <vdr-bugs@cadsoft.de>\n"
+"POT-Creation-Date: 2007-08-15 16:04+0200\n"
+"PO-Revision-Date: 2008-03-14 00:21+0100\n"
+"Last-Translator: Alexander Gross <Bikalexander@gmail.com>\n"
+"Language-Team: Russian\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=ISO-8859-5\n"
+"Content-Transfer-Encoding: 8bit\n"
+"X-Generator: KBabel 1.11.4\n"
+
+msgid "A text only skin"
+msgstr "  "
+
+msgid "Key$Mute"
+msgstr ". "
+
+msgid "Volume "
+msgstr ""
+
+msgid "Text mode"
+msgstr " "
diff -ruN vdr-1.5.17/PLUGINS/src/skincurses/skincurses.c vdr-1.5.18/PLUGINS/src/skincurses/skincurses.c
--- vdr-1.5.17/PLUGINS/src/skincurses/skincurses.c	2008-02-23 11:38:04.000000000 +0100
+++ vdr-1.5.18/PLUGINS/src/skincurses/skincurses.c	2008-03-14 13:57:14.000000000 +0100
@@ -3,7 +3,7 @@
  *
  * See the README file for copyright information and how to reach the author.
  *
- * $Id: skincurses.c 1.22 2008/02/23 10:38:04 kls Exp $
+ * $Id: skincurses.c 1.23 2008/03/14 12:57:14 kls Exp $
  */
 
 #include <ncurses.h>
@@ -11,7 +11,7 @@
 #include <vdr/plugin.h>
 #include <vdr/skins.h>
 
-static const char *VERSION        = "0.1.6";
+static const char *VERSION        = "0.1.7";
 static const char *DESCRIPTION    = trNOOP("A text only skin");
 static const char *MAINMENUENTRY  = NULL;
 
diff -ruN vdr-1.5.17/channels.c vdr-1.5.18/channels.c
--- vdr-1.5.17/channels.c	2008-02-10 16:45:38.000000000 +0100
+++ vdr-1.5.18/channels.c	2008-03-05 17:42:50.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: channels.c 1.59 2008/02/10 15:45:38 kls Exp $
+ * $Id: channels.c 1.60 2008/03/05 16:42:50 kls Exp $
  */
 
 #include "channels.h"
@@ -947,9 +947,10 @@
   return channel ? Idx : -1;
 }
 
-void cChannels::ReNumber( void )
+void cChannels::ReNumber(void)
 {
   channelsHashSid.Clear();
+  maxNumber = 0;
   int Number = 1;
   for (cChannel *channel = First(); channel; channel = Next(channel)) {
       if (channel->GroupSep()) {
diff -ruN vdr-1.5.17/config.h vdr-1.5.18/config.h
--- vdr-1.5.17/config.h	2008-02-24 13:29:54.000000000 +0100
+++ vdr-1.5.18/config.h	2008-03-16 12:37:13.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: config.h 1.307 2008/02/24 12:29:54 kls Exp $
+ * $Id: config.h 1.308 2008/03/16 11:37:13 kls Exp $
  */
 
 #ifndef __CONFIG_H
@@ -22,8 +22,8 @@
 
 // VDR's own version number:
 
-#define VDRVERSION  "1.5.17"
-#define VDRVERSNUM   10517  // Version * 10000 + Major * 100 + Minor
+#define VDRVERSION  "1.5.18"
+#define VDRVERSNUM   10518  // Version * 10000 + Major * 100 + Minor
 
 // The plugin API's version number:
 
diff -ruN vdr-1.5.17/device.c vdr-1.5.18/device.c
--- vdr-1.5.17/device.c	2008-02-23 14:09:01.000000000 +0100
+++ vdr-1.5.18/device.c	2008-03-09 11:03:34.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: device.c 1.155 2008/02/23 13:09:01 kls Exp $
+ * $Id: device.c 1.157 2008/03/09 10:03:34 kls Exp $
  */
 
 #include "device.h"
@@ -1096,8 +1096,8 @@
 void cDevice::EnsureSubtitleTrack(void)
 {
   if (Setup.DisplaySubtitles) {
-     eTrackType PreferredTrack = ttSubtitleFirst;
-     int LanguagePreference = -1;
+     eTrackType PreferredTrack = ttNone;
+     int LanguagePreference = INT_MAX; // higher than the maximum possible value
      for (int i = ttSubtitleFirst; i <= ttSubtitleLast; i++) {
          const tTrackId *TrackId = GetTrack(eTrackType(i));
          if (TrackId && TrackId->id && I18nIsPreferredLanguage(Setup.SubtitleLanguages, TrackId->language, LanguagePreference))
@@ -1416,7 +1416,7 @@
 
 #define TS_SCRAMBLING_CONTROL  0xC0
 #define TS_SCRAMBLING_TIMEOUT     3 // seconds to wait until a TS becomes unscrambled
-#define TS_SCRAMBLING_TIME_OK    10 // seconds before a Channel/CAM combination is marked a known to decrypt
+#define TS_SCRAMBLING_TIME_OK    10 // seconds before a Channel/CAM combination is marked as known to decrypt
 
 void cDevice::Action(void)
 {
diff -ruN vdr-1.5.17/libsi/si.c vdr-1.5.18/libsi/si.c
--- vdr-1.5.17/libsi/si.c	2008-03-01 13:02:01.000000000 +0100
+++ vdr-1.5.18/libsi/si.c	2008-03-05 18:00:55.000000000 +0100
@@ -6,7 +6,7 @@
  *   the Free Software Foundation; either version 2 of the License, or     *
  *   (at your option) any later version.                                   *
  *                                                                         *
- *   $Id: si.c 1.24 2008/03/01 12:02:01 kls Exp $
+ *   $Id: si.c 1.25 2008/03/05 17:00:55 kls Exp $
  *                                                                         *
  ***************************************************************************/
 
@@ -14,6 +14,7 @@
 #include <errno.h>
 #include <iconv.h>
 #include <malloc.h>
+#include <stdlib.h> // for broadcaster stupidity workaround
 #include <string.h>
 #include "descriptor.h"
 
@@ -340,9 +341,12 @@
 // and length are adjusted accordingly.
 static const char *getCharacterTable(const unsigned char *&buffer, int &length, bool *isSingleByte = NULL) {
    const char *cs = "ISO6937";
-   cs = "ISO-8859-9"; // Workaround for broadcaster stupidity: according to
+   // Workaround for broadcaster stupidity: according to
    // "ETSI EN 300 468" the default character set is ISO6937. But unfortunately some
    // broadcasters actually use ISO-8859-9, but fail to correctly announce that.
+   static const char *CharsetOverride = getenv("VDR_CHARSET_OVERRIDE");
+   if (CharsetOverride)
+      cs = CharsetOverride;
    if (isSingleByte)
       *isSingleByte = false;
    if (length <= 0)
diff -ruN vdr-1.5.17/menu.c vdr-1.5.18/menu.c
--- vdr-1.5.17/menu.c	2008-02-24 11:28:46.000000000 +0100
+++ vdr-1.5.18/menu.c	2008-03-16 12:15:28.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: menu.c 1.480 2008/02/24 10:28:46 kls Exp $
+ * $Id: menu.c 1.482 2008/03/16 11:15:28 kls Exp $
  */
 
 #include "menu.h"
@@ -1913,11 +1913,11 @@
   helpKeys = -1;
   Display(); // this keeps the higher level menus from showing up briefly when pressing 'Back' during replay
   Set();
+  SetFreeDiskDisplay(true);
   if (Current() < 0)
      SetCurrent(First());
   else if (OpenSubMenus && cReplayControl::LastReplayed() && Open(true))
      return;
-  SetFreeDiskDisplay(true);
   Display();
   SetHelpKeys();
 }
@@ -3879,8 +3879,11 @@
 
 bool cRecordControl::Process(time_t t)
 {
-  if (!recorder || !recorder->IsAttached() || !timer || !timer->Matches(t))
+  if (!recorder || !recorder->IsAttached() || !timer || !timer->Matches(t)) {
+     if (timer)
+        timer->SetPending(false);
      return false;
+     }
   AssertFreeDiskSpace(timer->Priority());
   return true;
 }
diff -ruN vdr-1.5.17/po/ca_ES.po vdr-1.5.18/po/ca_ES.po
--- vdr-1.5.17/po/ca_ES.po	2008-03-01 17:50:59.000000000 +0100
+++ vdr-1.5.18/po/ca_ES.po	2008-03-16 12:43:03.000000000 +0100
@@ -4,14 +4,15 @@
 # Marc Rovira Vall <tm05462@salleURL.edu>, 2003
 # Ramon Roca <ramon.roca@xcombo.com>, 2003
 # Jordi Vil <jvila@tinet.org>, 2003
+# Luca Olivetti <luca@ventoso.org>, 2008
 #
 msgid ""
 msgstr ""
 "Project-Id-Version: VDR 1.6.0\n"
 "Report-Msgid-Bugs-To: <vdr-bugs@cadsoft.de>\n"
 "POT-Creation-Date: 2008-02-10 12:22+0100\n"
-"PO-Revision-Date: 2007-08-12 14:17+0200\n"
-"Last-Translator: Jordi Vil <jvila@tinet.org>\n"
+"PO-Revision-Date: 2008-03-02 19:02+0100\n"
+"Last-Translator: Luca Olivetti <luca@ventoso.org>\n"
 "Language-Team: Catalanian\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=ISO-8859-1\n"
@@ -27,10 +28,10 @@
 msgstr "No puc iniciar el mode de transferncia!"
 
 msgid "Starting EPG scan"
-msgstr ""
+msgstr "Iniciant exploraci EPG"
 
 msgid "No title"
-msgstr ""
+msgstr "Sense ttol"
 
 #. TRANSLATORS: The name of the language, as written natively
 msgid "LanguageName$English"
@@ -117,7 +118,7 @@
 msgstr "Blau"
 
 msgid "Key$Info"
-msgstr ""
+msgstr "Informaci"
 
 msgid "Key$Play"
 msgstr "Reproduir"
@@ -138,10 +139,10 @@
 msgstr "Enrera rpidament"
 
 msgid "Key$Next"
-msgstr ""
+msgstr "Segent"
 
 msgid "Key$Prev"
-msgstr ""
+msgstr "Anterior"
 
 msgid "Key$Power"
 msgstr "Aturar"
@@ -153,7 +154,7 @@
 msgstr "Canal -"
 
 msgid "Key$PrevChannel"
-msgstr ""
+msgstr "Canal anterior"
 
 msgid "Key$Volume+"
 msgstr "Volum +"
@@ -165,10 +166,10 @@
 msgstr "En silenci"
 
 msgid "Key$Audio"
-msgstr ""
+msgstr "udio"
 
 msgid "Key$Subtitles"
-msgstr ""
+msgstr "Subttols"
 
 msgid "Key$Schedule"
 msgstr "Guia de Programaci"
@@ -189,31 +190,31 @@
 msgstr "Ordres"
 
 msgid "Key$User1"
-msgstr ""
+msgstr "Usuari 1"
 
 msgid "Key$User2"
-msgstr ""
+msgstr "Usuari 2"
 
 msgid "Key$User3"
-msgstr ""
+msgstr "Usuari 3"
 
 msgid "Key$User4"
-msgstr ""
+msgstr "Usuari 4"
 
 msgid "Key$User5"
-msgstr ""
+msgstr "Usuari 5"
 
 msgid "Key$User6"
-msgstr ""
+msgstr "Usuari 6"
 
 msgid "Key$User7"
-msgstr ""
+msgstr "Usuari 7"
 
 msgid "Key$User8"
-msgstr ""
+msgstr "Usuari 8"
 
 msgid "Key$User9"
-msgstr ""
+msgstr "Usuari 9"
 
 msgid "Disk"
 msgstr "Disc"
@@ -222,10 +223,10 @@
 msgstr "lliure"
 
 msgid "Free To Air"
-msgstr ""
+msgstr "No codificat"
 
 msgid "encrypted"
-msgstr ""
+msgstr "Codificat"
 
 msgid "auto"
 msgstr "auto"
@@ -261,10 +262,10 @@
 msgstr "PID AC3 (2)"
 
 msgid "Spid1"
-msgstr ""
+msgstr "Spid1"
 
 msgid "Spid2"
-msgstr ""
+msgstr "Spid2"
 
 msgid "Tpid"
 msgstr "PID Teletext"
@@ -354,7 +355,7 @@
 msgstr "Fi"
 
 msgid "VPS"
-msgstr ""
+msgstr "VPS"
 
 msgid "Priority"
 msgstr "Prioritat"
@@ -375,7 +376,7 @@
 msgstr "On/Off"
 
 msgid "Button$Info"
-msgstr ""
+msgstr "Informaci"
 
 msgid "Delete timer?"
 msgstr "Esborrar el temporitzador?"
@@ -387,7 +388,7 @@
 msgstr "Esdeveniment"
 
 msgid "Button$Timer"
-msgstr ""
+msgstr "Temporitzador"
 
 msgid "Button$Record"
 msgstr "Gravar"
@@ -419,23 +420,23 @@
 
 #, c-format
 msgid "This event - %s"
-msgstr ""
+msgstr "Aquest esdeveniment - %s"
 
 msgid "This event - all channels"
-msgstr ""
+msgstr "Aquest esdeveniment - tots els canals"
 
 msgid "All events - all channels"
-msgstr ""
+msgstr "Tots els esdeveniments - tots els canals"
 
 #, c-format
 msgid "Please enter %d digits!"
-msgstr ""
+msgstr "Si us plau introdueixi %d digitos"
 
 msgid "CAM not responding!"
-msgstr ""
+msgstr "CAM no respon"
 
 msgid "Recording info"
-msgstr ""
+msgstr "Informaci de la gravaci"
 
 msgid "Button$Play"
 msgstr "Reproduir"
@@ -465,13 +466,13 @@
 msgstr "Ordres de gravaci"
 
 msgid "never"
-msgstr ""
+msgstr "mai"
 
 msgid "skin dependent"
-msgstr ""
+msgstr "depn de l'aparena"
 
 msgid "always"
-msgstr ""
+msgstr "sempre"
 
 msgid "OSD"
 msgstr "Informaci en pantalla"
@@ -480,16 +481,16 @@
 msgstr "Idioma"
 
 msgid "Setup.OSD$Skin"
-msgstr ""
+msgstr "Aparena"
 
 msgid "Setup.OSD$Theme"
-msgstr ""
+msgstr "Tema"
 
 msgid "Setup.OSD$Left"
-msgstr ""
+msgstr "Esquerra"
 
 msgid "Setup.OSD$Top"
-msgstr ""
+msgstr "A dalt"
 
 msgid "Setup.OSD$Width"
 msgstr "Amplada"
@@ -501,28 +502,28 @@
 msgstr "Durada dels missatges (s)"
 
 msgid "Setup.OSD$Use small font"
-msgstr ""
+msgstr "Usar font petita"
 
 msgid "Setup.OSD$Anti-alias"
-msgstr ""
+msgstr "Antidentat"
 
 msgid "Setup.OSD$Default font"
-msgstr ""
+msgstr "Font predeterminada"
 
 msgid "Setup.OSD$Small font"
-msgstr ""
+msgstr "Font petita"
 
 msgid "Setup.OSD$Fixed font"
-msgstr ""
+msgstr "Font fixa"
 
 msgid "Setup.OSD$Default font size (pixel)"
-msgstr ""
+msgstr "Mida font predeterminada (pixel)"
 
 msgid "Setup.OSD$Small font size (pixel)"
-msgstr ""
+msgstr "Mida font petita"
 
 msgid "Setup.OSD$Fixed font size (pixel)"
-msgstr ""
+msgstr "Mida font fixa"
 
 msgid "Setup.OSD$Channel info position"
 msgstr "Posici de la informaci del canal"
@@ -534,22 +535,22 @@
 msgstr "a dalt"
 
 msgid "Setup.OSD$Channel info time (s)"
-msgstr ""
+msgstr "Temps de l'informaci de canal (s)"
 
 msgid "Setup.OSD$Info on channel switch"
 msgstr "Informaci del canvi de canal"
 
 msgid "Setup.OSD$Timeout requested channel info"
-msgstr ""
+msgstr "Temps d'espera informaci de canal sollicitada"
 
 msgid "Setup.OSD$Scroll pages"
 msgstr "Desplaar pgina sencera"
 
 msgid "Setup.OSD$Scroll wraps"
-msgstr ""
+msgstr "Desplaament circular"
 
 msgid "Setup.OSD$Menu key closes"
-msgstr ""
+msgstr "Tecla menu tanca"
 
 msgid "Setup.OSD$Recording directories"
 msgstr "Gravacions en subcarpetes"
@@ -558,7 +559,7 @@
 msgstr "Guia de Programes"
 
 msgid "Button$Scan"
-msgstr ""
+msgstr "Escaneig"
 
 msgid "Setup.EPG$EPG scan timeout (h)"
 msgstr "Mxim d'Hores a cercar per la Guia"
@@ -567,7 +568,7 @@
 msgstr "Nivell de correcci de la Guia"
 
 msgid "Setup.EPG$EPG linger time (min)"
-msgstr ""
+msgstr "Temps manteniment EPG (min)"
 
 msgid "Setup.EPG$Set system time"
 msgstr "Ajustar l'hora del sistema"
@@ -577,11 +578,11 @@
 
 #. TRANSLATORS: note the plural!
 msgid "Setup.EPG$Preferred languages"
-msgstr ""
+msgstr "Idiomes preferits"
 
 #. TRANSLATORS: note the singular!
 msgid "Setup.EPG$Preferred language"
-msgstr ""
+msgstr "Idioma preferit"
 
 msgid "pan&scan"
 msgstr "pan&scan"
@@ -596,19 +597,19 @@
 msgstr "no"
 
 msgid "names only"
-msgstr ""
+msgstr "noms noms"
 
 msgid "PIDs only"
-msgstr ""
+msgstr "noms PIDs"
 
 msgid "names and PIDs"
-msgstr ""
+msgstr "noms i PIDs"
 
 msgid "add new channels"
-msgstr ""
+msgstr "afegir nous canals"
 
 msgid "add new transponders"
-msgstr ""
+msgstr "afegir nous transponders"
 
 msgid "DVB"
 msgstr "Tarja DVB"
@@ -620,37 +621,37 @@
 msgstr "Format del vdeo"
 
 msgid "Setup.DVB$Video display format"
-msgstr ""
+msgstr "Format de visualitzaci de vdeo"
 
 msgid "Setup.DVB$Use Dolby Digital"
-msgstr ""
+msgstr "Fer servir Dolby Digital"
 
 msgid "Setup.DVB$Update channels"
-msgstr ""
+msgstr "Actualitza canals"
 
 msgid "Setup.DVB$Audio languages"
-msgstr ""
+msgstr "Idiomes d'udio"
 
 msgid "Setup.DVB$Audio language"
-msgstr ""
+msgstr "Idioma d'udio"
 
 msgid "Setup.DVB$Display subtitles"
-msgstr ""
+msgstr "Visualitza subttols"
 
 msgid "Setup.DVB$Subtitle languages"
-msgstr ""
+msgstr "Idiomes subttols"
 
 msgid "Setup.DVB$Subtitle language"
-msgstr ""
+msgstr "Idioma subttols"
 
 msgid "Setup.DVB$Subtitle offset"
-msgstr ""
+msgstr "Desplaament subttols"
 
 msgid "Setup.DVB$Subtitle foreground transparency"
-msgstr ""
+msgstr "Transparncia primer pla subttols"
 
 msgid "Setup.DVB$Subtitle background transparency"
-msgstr ""
+msgstr "Transparncia fons subttols"
 
 msgid "LNB"
 msgstr "Configuraci de l'LNB"
@@ -668,16 +669,16 @@
 msgstr "Freqncia LNB alta (MHz)"
 
 msgid "CAM reset"
-msgstr ""
+msgstr "Reiniciar CAM"
 
 msgid "CAM present"
-msgstr ""
+msgstr "CAM present"
 
 msgid "CAM ready"
-msgstr ""
+msgstr "CAM preparat"
 
 msgid "CAM"
-msgstr "CI Accs condicional"
+msgstr "CAM"
 
 msgid "Button$Menu"
 msgstr "Men"
@@ -686,13 +687,13 @@
 msgstr "Reiniciar"
 
 msgid "Opening CAM menu..."
-msgstr ""
+msgstr "Obrint menu CAM..."
 
 msgid "Can't open CAM menu!"
 msgstr "No puc obrir el men de la CAM!"
 
 msgid "CAM is in use - really reset?"
-msgstr ""
+msgstr "CAM en s - reiniciar?"
 
 msgid "Can't reset CAM!"
 msgstr "No puc reiniciar la CAM!"
@@ -725,10 +726,10 @@
 msgstr "Utilitzar el nom de l'episodi"
 
 msgid "Setup.Recording$Use VPS"
-msgstr ""
+msgstr "Fer servir VPS"
 
 msgid "Setup.Recording$VPS margin (s)"
-msgstr ""
+msgstr "Marge VPS (s)"
 
 msgid "Setup.Recording$Mark instant recording"
 msgstr "Marcar gravaci instantnia"
@@ -770,22 +771,22 @@
 msgstr "SVDRP Timeout (s)"
 
 msgid "Setup.Miscellaneous$Zap timeout (s)"
-msgstr ""
+msgstr "Temps d'espera Zap (s)"
 
 msgid "Setup.Miscellaneous$Channel entry timeout (ms)"
-msgstr ""
+msgstr "Temps d'introducci canal (ms)"
 
 msgid "Setup.Miscellaneous$Initial channel"
-msgstr ""
+msgstr "Canal inicial"
 
 msgid "Setup.Miscellaneous$as before"
-msgstr ""
+msgstr "anterior"
 
 msgid "Setup.Miscellaneous$Initial volume"
-msgstr ""
+msgstr "Volum inicial"
 
 msgid "Setup.Miscellaneous$Emergency exit"
-msgstr ""
+msgstr "Sortida d'emergncia"
 
 msgid "Plugins"
 msgstr "Plugins"
@@ -817,7 +818,7 @@
 msgstr " Aturar la reproducci"
 
 msgid "Button$Audio"
-msgstr ""
+msgstr "udio"
 
 msgid "Button$Pause"
 msgstr "Pausa"
@@ -839,19 +840,19 @@
 msgstr "Cancellar l'edici?"
 
 msgid "No audio available!"
-msgstr ""
+msgstr "No hi ha udio disponible!"
 
 msgid "No subtitles"
-msgstr ""
+msgstr "Sense subttols"
 
 msgid "Button$Subtitles"
-msgstr ""
+msgstr "Subttols"
 
 msgid "No subtitles available!"
-msgstr ""
+msgstr "No hi ha subttols disponibles!"
 
 msgid "Not enough disk space to start recording!"
-msgstr ""
+msgstr "No hi ha espai en disc per a iniciar la gravaci!"
 
 msgid "No free DVB device to record!"
 msgstr "No hi ha cap dispositiu DVB lliure per gravar!"
@@ -882,7 +883,7 @@
 msgstr "s"
 
 msgid "CharMap$ 0\t-.,1#~\\^$[]|()*+?{}/:%@&\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
-msgstr ""
+msgstr " 0\t-.,1#~\\^$[]|()*+?{}/:%@&\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
 
 msgid "Button$ABC/abc"
 msgstr "ABC/abc"
@@ -909,7 +910,7 @@
 msgstr "No puc apagar, falta la opci -s !"
 
 msgid "Editing - shut down anyway?"
-msgstr ""
+msgstr "Editant - Apagar de totes maneres?"
 
 msgid "Recording - shut down anyway?"
 msgstr "Gravant - Apagar de totes maneres?"
@@ -923,10 +924,10 @@
 
 #, c-format
 msgid "Plugin %s wakes up in %ld min, continue?"
-msgstr ""
+msgstr "El plugin %s s'activar en %ld minuts, continuar?"
 
 msgid "Editing - restart anyway?"
-msgstr ""
+msgstr "Editant - Reiniciar de totes maneres?"
 
 msgid "Recording - restart anyway?"
 msgstr "Gravant - Reiniciar de totes maneres?"
@@ -939,10 +940,10 @@
 msgstr "Volum "
 
 msgid "Classic VDR"
-msgstr ""
+msgstr "VDR clasico"
 
 msgid "ST:TNG Panels"
-msgstr ""
+msgstr "Quadres ST:TNG"
 
 #. TRANSLATORS: the first character of each weekday, beginning with monday
 msgid "MTWTFSS"
@@ -974,13 +975,13 @@
 msgstr "Diumenge"
 
 msgid "Upcoming recording!"
-msgstr ""
+msgstr "Gravaci a punt d'iniciar!"
 
 msgid "Recording started"
-msgstr ""
+msgstr "Gravaci comenada"
 
 msgid "VDR will shut down later - press Power to force"
-msgstr ""
+msgstr "VDR s'apagar ms tard, prem Power per a forar"
 
 msgid "Press any key to cancel shutdown"
 msgstr "Prem qualsevol tecla per cancellar l'aturada"
@@ -995,8 +996,8 @@
 msgstr "Procs d'edici finalitzat"
 
 msgid "Press any key to cancel restart"
-msgstr ""
+msgstr "Prem qualsevol tecla per cancellar el reinici"
 
 #, c-format
 msgid "VDR will shut down in %s minutes"
-msgstr ""
+msgstr "VDR s'apagar en %s minuts"
diff -ruN vdr-1.5.17/po/es_ES.po vdr-1.5.18/po/es_ES.po
--- vdr-1.5.17/po/es_ES.po	2008-03-01 17:50:59.000000000 +0100
+++ vdr-1.5.18/po/es_ES.po	2008-03-16 12:43:03.000000000 +0100
@@ -2,14 +2,15 @@
 # Copyright (C) 2008 Klaus Schmidinger <kls@cadsoft.de>
 # This file is distributed under the same license as the VDR package.
 # Ruben Nunez Francisco <ruben.nunez@tang-it.com>, 2002, 2006
+# Luca Olivetti <luca@ventoso.org>, 2008
 #
 msgid ""
 msgstr ""
 "Project-Id-Version: VDR 1.6.0\n"
 "Report-Msgid-Bugs-To: <vdr-bugs@cadsoft.de>\n"
-"POT-Creation-Date: 2008-02-10 12:22+0100\n"
-"PO-Revision-Date: 2007-08-12 14:17+0200\n"
-"Last-Translator: Ruben Nunez Francisco <ruben.nunez@tang-it.com>\n"
+"POT-Creation-Date: 2008-03-02 17:25+0100\n"
+"PO-Revision-Date: 2008-03-02 19:02+0100\n"
+"Last-Translator: Luca Olivetti <luca@ventoso.org>\n"
 "Language-Team: Spanish\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=ISO-8859-15\n"
@@ -136,10 +137,10 @@
 msgstr "Retroceso rpido"
 
 msgid "Key$Next"
-msgstr ""
+msgstr "Siguiente"
 
 msgid "Key$Prev"
-msgstr ""
+msgstr "Anterior"
 
 msgid "Key$Power"
 msgstr "Apagar"
@@ -151,7 +152,7 @@
 msgstr "Canal-"
 
 msgid "Key$PrevChannel"
-msgstr ""
+msgstr "Canal anterior"
 
 msgid "Key$Volume+"
 msgstr "Volumen+"
@@ -166,7 +167,7 @@
 msgstr "Audio"
 
 msgid "Key$Subtitles"
-msgstr ""
+msgstr "Subttulos"
 
 msgid "Key$Schedule"
 msgstr "Gua de Programacin"
@@ -187,31 +188,31 @@
 msgstr "rdenes"
 
 msgid "Key$User1"
-msgstr ""
+msgstr "Usuario 1"
 
 msgid "Key$User2"
-msgstr ""
+msgstr "Usuario 2"
 
 msgid "Key$User3"
-msgstr ""
+msgstr "Usuario 3"
 
 msgid "Key$User4"
-msgstr ""
+msgstr "Usuario 4"
 
 msgid "Key$User5"
-msgstr ""
+msgstr "Usuario 5"
 
 msgid "Key$User6"
-msgstr ""
+msgstr "Usuario 6"
 
 msgid "Key$User7"
-msgstr ""
+msgstr "Usuario 7"
 
 msgid "Key$User8"
-msgstr ""
+msgstr "Usuario 8"
 
 msgid "Key$User9"
-msgstr ""
+msgstr "Usuario 9"
 
 msgid "Disk"
 msgstr "Disco"
@@ -259,10 +260,10 @@
 msgstr "Dpid2"
 
 msgid "Spid1"
-msgstr ""
+msgstr "Spid1"
 
 msgid "Spid2"
-msgstr ""
+msgstr "Spid2"
 
 msgid "Tpid"
 msgstr "Tpid"
@@ -430,13 +431,13 @@
 msgstr "Escriba %d dgitos!"
 
 msgid "CAM not responding!"
-msgstr ""
+msgstr "CAM no responde!"
 
 msgid "Recording info"
 msgstr "Informacin de grabacin"
 
 msgid "Button$Play"
-msgstr "Play"
+msgstr "Reproducir"
 
 msgid "Button$Rewind"
 msgstr "Rebobinar"
@@ -502,25 +503,25 @@
 msgstr "Usar letra pequea"
 
 msgid "Setup.OSD$Anti-alias"
-msgstr ""
+msgstr "Alisado de fuentes"
 
 msgid "Setup.OSD$Default font"
-msgstr ""
+msgstr "Fuente por defecto"
 
 msgid "Setup.OSD$Small font"
-msgstr ""
+msgstr "Fuente pequea"
 
 msgid "Setup.OSD$Fixed font"
-msgstr ""
+msgstr "Fuente fija"
 
 msgid "Setup.OSD$Default font size (pixel)"
-msgstr ""
+msgstr "Tamao fuente por defecto (pixel)"
 
 msgid "Setup.OSD$Small font size (pixel)"
-msgstr ""
+msgstr "Tamao fuente pequea (pixel)"
 
 msgid "Setup.OSD$Fixed font size (pixel)"
-msgstr ""
+msgstr "Tamao fuente fija (pixel)"
 
 msgid "Setup.OSD$Channel info position"
 msgstr "Posicin para informacin de canal"
@@ -597,7 +598,7 @@
 msgstr "slo nombres"
 
 msgid "PIDs only"
-msgstr ""
+msgstr "slo PIDs"
 
 msgid "names and PIDs"
 msgstr "nombres y PIDs"
@@ -633,22 +634,22 @@
 msgstr "Idioma de audio"
 
 msgid "Setup.DVB$Display subtitles"
-msgstr ""
+msgstr "Visualizar subttulos"
 
 msgid "Setup.DVB$Subtitle languages"
-msgstr ""
+msgstr "Idiomas subttulos"
 
 msgid "Setup.DVB$Subtitle language"
-msgstr ""
+msgstr "Idioma subttulos"
 
 msgid "Setup.DVB$Subtitle offset"
-msgstr ""
+msgstr "Desplazamiento subttulos"
 
 msgid "Setup.DVB$Subtitle foreground transparency"
-msgstr ""
+msgstr "Transparencia primer plano subttulos"
 
 msgid "Setup.DVB$Subtitle background transparency"
-msgstr ""
+msgstr "Transparencia fondo subttulos"
 
 msgid "LNB"
 msgstr "LNB"
@@ -666,13 +667,13 @@
 msgstr "Frecuencia superior del LNB (MHz)"
 
 msgid "CAM reset"
-msgstr ""
+msgstr "Reset CAM"
 
 msgid "CAM present"
-msgstr ""
+msgstr "CAM presente"
 
 msgid "CAM ready"
-msgstr ""
+msgstr "CAM preparado"
 
 msgid "CAM"
 msgstr "CAM"
@@ -690,7 +691,7 @@
 msgstr "No se puede abrir el men CAM!"
 
 msgid "CAM is in use - really reset?"
-msgstr ""
+msgstr "CAM en uso - reiniciar?"
 
 msgid "Can't reset CAM!"
 msgstr "No se puede reiniciar CAM!"
@@ -771,19 +772,19 @@
 msgstr "Considerar canal como visto (sg)"
 
 msgid "Setup.Miscellaneous$Channel entry timeout (ms)"
-msgstr ""
+msgstr "Tiempo introduccin canal (ms)"
 
 msgid "Setup.Miscellaneous$Initial channel"
-msgstr ""
+msgstr "Canal inicial"
 
 msgid "Setup.Miscellaneous$as before"
-msgstr ""
+msgstr "anterior"
 
 msgid "Setup.Miscellaneous$Initial volume"
-msgstr ""
+msgstr "Volumen inicial"
 
 msgid "Setup.Miscellaneous$Emergency exit"
-msgstr ""
+msgstr "Salida de emergencia"
 
 msgid "Plugins"
 msgstr "Plugins"
@@ -840,16 +841,16 @@
 msgstr "No hay audio disponible!"
 
 msgid "No subtitles"
-msgstr ""
+msgstr "Sin subttulos"
 
 msgid "Button$Subtitles"
-msgstr ""
+msgstr "Subttulos"
 
 msgid "No subtitles available!"
-msgstr ""
+msgstr "No hay subttulos disponibles!"
 
 msgid "Not enough disk space to start recording!"
-msgstr ""
+msgstr "Sin espacio en disco para iniciar grabacin!"
 
 msgid "No free DVB device to record!"
 msgstr "Ningn dispositivo DVB disponible para grabar!"
@@ -907,7 +908,7 @@
 msgstr "No se puede apagar - falta el parmetro '-s'!"
 
 msgid "Editing - shut down anyway?"
-msgstr ""
+msgstr "Editando -apagar igualmente?"
 
 msgid "Recording - shut down anyway?"
 msgstr "Grabacin en curso - apagar igualmente?"
@@ -921,10 +922,10 @@
 
 #, c-format
 msgid "Plugin %s wakes up in %ld min, continue?"
-msgstr ""
+msgstr "Plugin %s inicia en %ld min, continuar?"
 
 msgid "Editing - restart anyway?"
-msgstr ""
+msgstr "Editando - reiniciar igualmente?"
 
 msgid "Recording - restart anyway?"
 msgstr "Grabacin en curso - reiniciar igualmente?"
@@ -972,13 +973,13 @@
 msgstr "Domingo"
 
 msgid "Upcoming recording!"
-msgstr ""
+msgstr "Grabacin a punto de empezar!"
 
 msgid "Recording started"
 msgstr "Iniciando grabacin"
 
 msgid "VDR will shut down later - press Power to force"
-msgstr ""
+msgstr "VDR se apagar ms tarde - pulse Power para forzar"
 
 msgid "Press any key to cancel shutdown"
 msgstr "Pulse una tecla para interrumpir apagar"
@@ -993,8 +994,8 @@
 msgstr "Proceso de edicin terminado"
 
 msgid "Press any key to cancel restart"
-msgstr ""
+msgstr "Pulse cualquier tecla para cancelar reinicio"
 
 #, c-format
 msgid "VDR will shut down in %s minutes"
-msgstr ""
+msgstr "VDR se apagar en %s minutos"
diff -ruN vdr-1.5.17/po/it_IT.po vdr-1.5.18/po/it_IT.po
--- vdr-1.5.17/po/it_IT.po	2008-03-01 17:51:00.000000000 +0100
+++ vdr-1.5.18/po/it_IT.po	2008-03-16 12:43:03.000000000 +0100
@@ -12,9 +12,9 @@
 "Project-Id-Version: VDR 1.6.0\n"
 "Report-Msgid-Bugs-To: <vdr-bugs@cadsoft.de>\n"
 "POT-Creation-Date: 2008-02-10 12:22+0100\n"
-"PO-Revision-Date: 2008-02-21 20:29+0100\n"
+"PO-Revision-Date: 2008-03-08 21:06+0100\n"
 "Last-Translator: Diego Pierotto <vdr-italian@tiscali.it>\n"
-"Language-Team: Italian\n"
+"Language-Team:  Italian\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=ISO-8859-15\n"
 "Content-Transfer-Encoding: 8bit\n"
@@ -26,7 +26,7 @@
 msgstr "Canale non disponibile!"
 
 msgid "Can't start Transfer Mode!"
-msgstr "Impossibile avviare la modalit di trasferimento!"
+msgstr "Impossibile avviare mod. trasferimento!"
 
 msgid "Starting EPG scan"
 msgstr "Inizio scansione EPG"
@@ -55,11 +55,11 @@
 msgstr "Non premere alcun tasto..."
 
 msgid "Phase 2: Learning specific key codes"
-msgstr "Fase 2: Apprendimento codici specifici dei tasti"
+msgstr "Fase 2: Apprendimento codici dei tasti"
 
 #, c-format
 msgid "Press key for '%s'"
-msgstr "Premi il tasto per '%s'"
+msgstr "Premi il tasto '%s'"
 
 msgid "Press 'Up' to confirm"
 msgstr "Premi 'Su' per confermare"
@@ -71,13 +71,13 @@
 msgstr "(premi 'Su' per tornare indietro)"
 
 msgid "(press 'Down' to end key definition)"
-msgstr "(premi 'Gi' per concludere la definizione tasti)"
+msgstr "(premi 'Gi' per concludere definizione tasti)"
 
 msgid "(press 'Menu' to skip this key)"
 msgstr "(premi 'Menu' per saltare questo tasto)"
 
 msgid "Learning Remote Control Keys"
-msgstr "Apprendimento tasti unit remota"
+msgstr "Apprendimento tasti RC"
 
 msgid "Phase 3: Saving key codes"
 msgstr "Fase 3: Salvataggio codici tasti"
@@ -119,10 +119,10 @@
 msgstr "Blu"
 
 msgid "Key$Info"
-msgstr "Informazioni"
+msgstr "Info"
 
 msgid "Key$Play"
-msgstr "Riproduzione"
+msgstr "Riproduci"
 
 msgid "Key$Pause"
 msgstr "Pausa"
@@ -131,7 +131,7 @@
 msgstr "Ferma"
 
 msgid "Key$Record"
-msgstr "Registrazione"
+msgstr "Registra"
 
 msgid "Key$FastFwd"
 msgstr "Avanti veloce"
@@ -368,16 +368,16 @@
 msgstr "Nome"
 
 msgid "First day"
-msgstr "Primo giorno"
+msgstr "1 giorno"
 
 msgid "Timers"
 msgstr "Timer"
 
 msgid "Button$On/Off"
-msgstr "Attivo/Disattivo"
+msgstr "On/Off"
 
 msgid "Button$Info"
-msgstr "Informazioni"
+msgstr "Info"
 
 msgid "Delete timer?"
 msgstr "Eliminare il timer?"
@@ -386,7 +386,7 @@
 msgstr "Timer in registrazione - eliminare?"
 
 msgid "Event"
-msgstr "Eventi"
+msgstr "Evento"
 
 msgid "Button$Timer"
 msgstr "Timer"
@@ -437,7 +437,7 @@
 msgstr "La CAM non risponde!"
 
 msgid "Recording info"
-msgstr "Informazioni registrazione"
+msgstr "Info registrazione"
 
 msgid "Button$Play"
 msgstr "Riproduci"
@@ -455,13 +455,13 @@
 msgstr "Comandi"
 
 msgid "Error while accessing recording!"
-msgstr "Errore nell'accedere alla registrazione!"
+msgstr "Errore accesso alla registrazione!"
 
 msgid "Delete recording?"
 msgstr "Eliminare la registrazione?"
 
 msgid "Error while deleting recording!"
-msgstr "Errore eliminazione della registrazione!"
+msgstr "Errore eliminazione registrazione!"
 
 msgid "Recording commands"
 msgstr "Comandi di registrazione"
@@ -518,16 +518,16 @@
 msgstr "Caratteri fissi"
 
 msgid "Setup.OSD$Default font size (pixel)"
-msgstr "Dimensione caratteri predefiniti (pixel)"
+msgstr "Dim. caratteri pred. (pixel)"
 
 msgid "Setup.OSD$Small font size (pixel)"
-msgstr "Dimensione caratteri piccoli (pixel)"
+msgstr "Dim. caratteri piccoli (pixel)"
 
 msgid "Setup.OSD$Fixed font size (pixel)"
-msgstr "Dimensione caratteri fissi (pixel)"
+msgstr "Dim. caratteri fissi (pixel)"
 
 msgid "Setup.OSD$Channel info position"
-msgstr "Posizione informazioni canale"
+msgstr "Posizione info canale"
 
 msgid "bottom"
 msgstr "in basso"
@@ -536,13 +536,13 @@
 msgstr "in alto"
 
 msgid "Setup.OSD$Channel info time (s)"
-msgstr "Durata informazioni canale (s)"
+msgstr "Durata info canale (s)"
 
 msgid "Setup.OSD$Info on channel switch"
-msgstr "Mostra informazioni al cambio canale"
+msgstr "Mostra info al cambio canale"
 
 msgid "Setup.OSD$Timeout requested channel info"
-msgstr "Scadenza richieste informazioni canale"
+msgstr "Scadenza richieste info canale"
 
 msgid "Setup.OSD$Scroll pages"
 msgstr "Scorri per pagine"
@@ -551,7 +551,7 @@
 msgstr "Scorri riavvolgendo"
 
 msgid "Setup.OSD$Menu key closes"
-msgstr "Utilizza il tasto Menu per chiudere"
+msgstr "Tasto Menu per chiudere"
 
 msgid "Setup.OSD$Recording directories"
 msgstr "Directory di registrazione"
@@ -563,13 +563,13 @@
 msgstr "Scansione"
 
 msgid "Setup.EPG$EPG scan timeout (h)"
-msgstr "Scadenza scansione aggiorn. EPG (ore)"
+msgstr "Scadenza aggiorn. EPG (ore)"
 
 msgid "Setup.EPG$EPG bugfix level"
 msgstr "Livello correzione EPG"
 
 msgid "Setup.EPG$EPG linger time (min)"
-msgstr "Visualizzazione vecchi dati EPG (min)"
+msgstr "Mostra vecchi dati EPG (min)"
 
 msgid "Setup.EPG$Set system time"
 msgstr "Imposta orario automatico"
@@ -631,10 +631,10 @@
 msgstr "Aggiorna i canali"
 
 msgid "Setup.DVB$Audio languages"
-msgstr "Lingue per l'audio"
+msgstr "Lingue audio"
 
 msgid "Setup.DVB$Audio language"
-msgstr "Lingua per l'audio"
+msgstr "Lingua audio"
 
 msgid "Setup.DVB$Display subtitles"
 msgstr "Mostra sottotitoli"
@@ -649,7 +649,7 @@
 msgstr "Posizione sottotitoli"
 
 msgid "Setup.DVB$Subtitle foreground transparency"
-msgstr "Trasparenza primo piano sottotitoli"
+msgstr "Trasparenza sottotitoli"
 
 msgid "Setup.DVB$Subtitle background transparency"
 msgstr "Trasparenza sfondo sottotitoli"
@@ -733,16 +733,16 @@
 msgstr "Margine VPS (s)"
 
 msgid "Setup.Recording$Mark instant recording"
-msgstr "Segna registrazione immediata"
+msgstr "Segna reg. immediata"
 
 msgid "Setup.Recording$Name instant recording"
-msgstr "Nome registrazione immediata"
+msgstr "Nome reg. immediata"
 
 msgid "Setup.Recording$Instant rec. time (min)"
-msgstr "Tempo registrazione immediata (min)"
+msgstr "Tempo reg. immediata (min)"
 
 msgid "Setup.Recording$Max. video file size (MB)"
-msgstr "Dimensione massima file video (MB)"
+msgstr "Dim. massima file video (MB)"
 
 msgid "Setup.Recording$Split edited files"
 msgstr "Dividi i file modificati"
@@ -763,10 +763,10 @@
 msgstr "Generici"
 
 msgid "Setup.Miscellaneous$Min. event timeout (min)"
-msgstr "Scadenza minima evento (min)"
+msgstr "Scadenza min. evento (min)"
 
 msgid "Setup.Miscellaneous$Min. user inactivity (min)"
-msgstr "Periodo minimo di inattivit (min)"
+msgstr "Periodo min. inattivit (min)"
 
 msgid "Setup.Miscellaneous$SVDRP timeout (s)"
 msgstr "Scadenza SVDRP (s)"
@@ -787,13 +787,13 @@
 msgstr "Volume iniziale"
 
 msgid "Setup.Miscellaneous$Emergency exit"
-msgstr "Uscita d'emergenza"
+msgstr "Uscita di emergenza"
 
 msgid "Plugins"
 msgstr "Plugins"
 
 msgid "This plugin has no setup parameters!"
-msgstr "Questo plugin non ha parametri di configurazione!"
+msgstr "Il plugin non ha parametri di configurazione!"
 
 msgid "Setup"
 msgstr "Opzioni"
@@ -838,7 +838,7 @@
 msgstr "Fermare la registrazione?"
 
 msgid "Cancel editing?"
-msgstr "Annullare la modifica?"
+msgstr "Annullare le modifiche?"
 
 msgid "No audio available!"
 msgstr "Nessun audio disponibile!"
@@ -878,13 +878,13 @@
 msgstr "Processo di modifica gi attivo!"
 
 msgid "FileNameChars$ abcdefghijklmnopqrstuvwxyz0123456789-.,#~\\^$[]|()*+?{}/:%@&"
-msgstr " abcdefghijklmnopqrstuvwxyz0123456789-.,#~\\^$[]|()*+?{}/:%@&"
+msgstr " abcdefghijklmnopqrstuvwxyz0123456789-.,#~\\^$[]|()*+?{}/:%@&"
 
 msgid "yes"
 msgstr "s"
 
 msgid "CharMap$ 0\t-.,1#~\\^$[]|()*+?{}/:%@&\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
-msgstr " 0\t-.,1#~\\^$[]|()*+?{}/:%@&\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
+msgstr " 0\t-.,1#~\\^$[]|()*+?{}/:%@&\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
 
 msgid "Button$ABC/abc"
 msgstr "ABC/abc"
diff -ruN vdr-1.5.17/po/pl_PL.po vdr-1.5.18/po/pl_PL.po
--- vdr-1.5.17/po/pl_PL.po	2008-03-01 17:51:00.000000000 +0100
+++ vdr-1.5.18/po/pl_PL.po	2008-03-16 12:43:03.000000000 +0100
@@ -1,7 +1,7 @@
 # VDR language source file.
 # Copyright (C) 2008 Klaus Schmidinger <kls@cadsoft.de>
 # This file is distributed under the same license as the VDR package.
-# Michael Rakowski <mrak@gmx.de>, 2002, 2003
+# Michael Rakowski <mrak@gmx.de>, 2002, 2003, 2008
 # Jaroslaw Swierczynski <swiergot@gmail.com>, 2006
 #
 msgid ""
@@ -9,9 +9,9 @@
 "Project-Id-Version: VDR 1.6.0\n"
 "Report-Msgid-Bugs-To: <vdr-bugs@cadsoft.de>\n"
 "POT-Creation-Date: 2008-02-10 12:22+0100\n"
-"PO-Revision-Date: 2007-08-12 14:17+0200\n"
-"Last-Translator: Jaroslaw Swierczynski <swiergot@gmail.com>\n"
-"Language-Team: Polish\n"
+"PO-Revision-Date: 2008-03-09 12:59+0100\n"
+"Last-Translator: Michael Rakowski <mrak@gmx.de>\n"
+"Language-Team:  Polish\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=ISO-8859-2\n"
 "Content-Transfer-Encoding: 8bit\n"
@@ -167,7 +167,7 @@
 msgstr "Dwik"
 
 msgid "Key$Subtitles"
-msgstr ""
+msgstr "Podtytuy"
 
 msgid "Key$Schedule"
 msgstr "Program"
@@ -188,31 +188,31 @@
 msgstr "Polecenia"
 
 msgid "Key$User1"
-msgstr ""
+msgstr "Uytkownik 1"
 
 msgid "Key$User2"
-msgstr ""
+msgstr "Uytkownik 2"
 
 msgid "Key$User3"
-msgstr ""
+msgstr "Uytkownik 3"
 
 msgid "Key$User4"
-msgstr ""
+msgstr "Uytkownik 4"
 
 msgid "Key$User5"
-msgstr ""
+msgstr "Uytkownik 5"
 
 msgid "Key$User6"
-msgstr ""
+msgstr "Uytkownik 6"
 
 msgid "Key$User7"
-msgstr ""
+msgstr "Uytkownik 7"
 
 msgid "Key$User8"
-msgstr ""
+msgstr "Uytkownik 8"
 
 msgid "Key$User9"
-msgstr ""
+msgstr "Uytkownik 9"
 
 msgid "Disk"
 msgstr "Dysk"
@@ -260,10 +260,10 @@
 msgstr "Dpid2"
 
 msgid "Spid1"
-msgstr ""
+msgstr "Spid1"
 
 msgid "Spid2"
-msgstr ""
+msgstr "Spid2"
 
 msgid "Tpid"
 msgstr "Tpid"
@@ -431,7 +431,7 @@
 msgstr "Prosz poda %d cyfr!"
 
 msgid "CAM not responding!"
-msgstr ""
+msgstr "CAM nie reaguje!"
 
 msgid "Recording info"
 msgstr "Informacje o nagraniu"
@@ -503,25 +503,25 @@
 msgstr "Uywaj maej czcionki"
 
 msgid "Setup.OSD$Anti-alias"
-msgstr ""
+msgstr "Wygadzanie"
 
 msgid "Setup.OSD$Default font"
-msgstr ""
+msgstr "Standardowa  czcionka"
 
 msgid "Setup.OSD$Small font"
-msgstr ""
+msgstr "Maa czcionka"
 
 msgid "Setup.OSD$Fixed font"
-msgstr ""
+msgstr "Staa czcionka"
 
 msgid "Setup.OSD$Default font size (pixel)"
-msgstr ""
+msgstr "Standardowa czcionka wyjciowa (pixle)"
 
 msgid "Setup.OSD$Small font size (pixel)"
-msgstr ""
+msgstr "Maa czcionka wyjciowa (pixle)"
 
 msgid "Setup.OSD$Fixed font size (pixel)"
-msgstr ""
+msgstr "Ustalona czcionka wyjciowa (pixle)"
 
 msgid "Setup.OSD$Channel info position"
 msgstr "Pozycja informacji o kanale"
@@ -634,22 +634,22 @@
 msgstr "Jzyk dwiku"
 
 msgid "Setup.DVB$Display subtitles"
-msgstr ""
+msgstr "Obraz napisw"
 
 msgid "Setup.DVB$Subtitle languages"
-msgstr ""
+msgstr "Jzyki napisu"
 
 msgid "Setup.DVB$Subtitle language"
-msgstr ""
+msgstr "Jzyk napisu"
 
 msgid "Setup.DVB$Subtitle offset"
-msgstr ""
+msgstr "Zrwnoway napis"
 
 msgid "Setup.DVB$Subtitle foreground transparency"
-msgstr ""
+msgstr "Przerocze podtytuw: Przd"
 
 msgid "Setup.DVB$Subtitle background transparency"
-msgstr ""
+msgstr "Przerocze podtytuw: To"
 
 msgid "LNB"
 msgstr "LNB"
@@ -667,13 +667,13 @@
 msgstr "Grna czstotliwo LNB (MHz)"
 
 msgid "CAM reset"
-msgstr ""
+msgstr "CAM zresetowany"
 
 msgid "CAM present"
-msgstr ""
+msgstr "CAM obecny"
 
 msgid "CAM ready"
-msgstr ""
+msgstr "CAM gotowy"
 
 msgid "CAM"
 msgstr "CAM"
@@ -691,7 +691,7 @@
 msgstr "Nie mona otworzy menu CAM!"
 
 msgid "CAM is in use - really reset?"
-msgstr ""
+msgstr "CAM jest w uyciu - naprawd zresetowa?"
 
 msgid "Can't reset CAM!"
 msgstr "Nie mona zresetowa CAM!"
@@ -772,7 +772,7 @@
 msgstr "Czas oczekiwania na zap (s)"
 
 msgid "Setup.Miscellaneous$Channel entry timeout (ms)"
-msgstr ""
+msgstr "Min czas wejcia do kanau"
 
 msgid "Setup.Miscellaneous$Initial channel"
 msgstr "Pocztkowy kana"
@@ -784,7 +784,7 @@
 msgstr "Pocztkowa gono"
 
 msgid "Setup.Miscellaneous$Emergency exit"
-msgstr ""
+msgstr "Wyjcie awaryjne"
 
 msgid "Plugins"
 msgstr "Wtyczki"
@@ -841,13 +841,13 @@
 msgstr "Dwik nie jest dostpny!"
 
 msgid "No subtitles"
-msgstr ""
+msgstr "Brak napisw"
 
 msgid "Button$Subtitles"
-msgstr ""
+msgstr "Napisy"
 
 msgid "No subtitles available!"
-msgstr ""
+msgstr "Napisy nie s dostpne"
 
 msgid "Not enough disk space to start recording!"
 msgstr "Brak miejsca na dysku do nagrywania!"
@@ -908,7 +908,7 @@
 msgstr "Nie mona wyczy - nie podano opcji '-s'!"
 
 msgid "Editing - shut down anyway?"
-msgstr ""
+msgstr "Monta w trakcie  - Wyczy mimo to?"
 
 msgid "Recording - shut down anyway?"
 msgstr "Trwa nagrywanie - wyczy mimo to?"
@@ -922,10 +922,10 @@
 
 #, c-format
 msgid "Plugin %s wakes up in %ld min, continue?"
-msgstr ""
+msgstr "Wtyczka %s obudzi si za %ld min, kontynuowa?"
 
 msgid "Editing - restart anyway?"
-msgstr ""
+msgstr "Monta w trakcie  - Zrestartowa mimo to?"
 
 msgid "Recording - restart anyway?"
 msgstr "Trwa nagrywanie - zrestartowa mimo to?"
@@ -979,7 +979,7 @@
 msgstr "Rozpoczto nagrywanie"
 
 msgid "VDR will shut down later - press Power to force"
-msgstr ""
+msgstr "VDR zostanie wyczony pniej - Nacinij Wycz (Power) aby wymusi"
 
 msgid "Press any key to cancel shutdown"
 msgstr "Nacinij dowolny klawisz aby nie wycza"
@@ -994,8 +994,8 @@
 msgstr "Proces edycji zakoczony"
 
 msgid "Press any key to cancel restart"
-msgstr ""
+msgstr "Nacinij dowolny klawisz aby nie zrestartowa"
 
 #, c-format
 msgid "VDR will shut down in %s minutes"
-msgstr ""
+msgstr "VDR zostanie wyczony za %s minut"
diff -ruN vdr-1.5.17/po/sv_SE.po vdr-1.5.18/po/sv_SE.po
--- vdr-1.5.17/po/sv_SE.po	2008-03-01 17:51:00.000000000 +0100
+++ vdr-1.5.18/po/sv_SE.po	2008-03-16 12:43:03.000000000 +0100
@@ -4,14 +4,15 @@
 # Tomas Prybil <tomas@prybil.se>, 2002, 2003, 2005, 2006
 # Jan Ekholm <chakie@infa.abo.fi>, 2003
 # Tomas Berglund <tomber@telia.com>, 2008
+# Magnus Andersson <svankan@bahnhof.se>, 2008
 #
 msgid ""
 msgstr ""
 "Project-Id-Version: VDR 1.6.0\n"
 "Report-Msgid-Bugs-To: <vdr-bugs@cadsoft.de>\n"
 "POT-Creation-Date: 2008-02-10 12:22+0100\n"
-"PO-Revision-Date: 2008-02-24 13:27+0200\n"
-"Last-Translator: Tomas Berglund <tomber@telia.com>\n"
+"PO-Revision-Date: 2008-03-12 18:25+0100\n"
+"Last-Translator: Magnus Andersson <svankan@bahnhof.se>\n"
 "Language-Team: Swedish\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=ISO-8859-1\n"
@@ -189,31 +190,31 @@
 msgstr "Kommandon"
 
 msgid "Key$User1"
-msgstr ""
+msgstr "Anvndare1"
 
 msgid "Key$User2"
-msgstr ""
+msgstr "Anvndare2"
 
 msgid "Key$User3"
-msgstr ""
+msgstr "Anvndare3"
 
 msgid "Key$User4"
-msgstr ""
+msgstr "Anvndare4"
 
 msgid "Key$User5"
-msgstr ""
+msgstr "Anvndare5"
 
 msgid "Key$User6"
-msgstr ""
+msgstr "Anvndare6"
 
 msgid "Key$User7"
-msgstr ""
+msgstr "Anvndare7"
 
 msgid "Key$User8"
-msgstr ""
+msgstr "Anvndare8"
 
 msgid "Key$User9"
-msgstr ""
+msgstr "Anvndare9"
 
 msgid "Disk"
 msgstr "Disk"
@@ -432,7 +433,7 @@
 msgstr "Mata in %d siffror!"
 
 msgid "CAM not responding!"
-msgstr ""
+msgstr "CAM svarar inte!"
 
 msgid "Recording info"
 msgstr "Inspelning"
@@ -785,7 +786,7 @@
 msgstr "Ljudstyrka vid uppstart"
 
 msgid "Setup.Miscellaneous$Emergency exit"
-msgstr ""
+msgstr "Ofrutsedd avslutning"
 
 msgid "Plugins"
 msgstr "Moduler"
diff -ruN vdr-1.5.17/po/uk_UA.po vdr-1.5.18/po/uk_UA.po
--- vdr-1.5.17/po/uk_UA.po	2008-03-01 17:51:00.000000000 +0100
+++ vdr-1.5.18/po/uk_UA.po	2008-03-16 12:43:03.000000000 +0100
@@ -1,14 +1,14 @@
 # VDR language source file.
 # Copyright (C) 2008 Klaus Schmidinger <kls@cadsoft.de>
 # This file is distributed under the same license as the VDR package.
-# Yarema Aka Knedlyk <yupadmin@gmail.com>, 2007
+# Yarema Aka Knedlyk <yupadmin@gmail.com>, 2007, 2008
 #
 msgid ""
 msgstr ""
 "Project-Id-Version: VDR 1.6.0\n"
 "Report-Msgid-Bugs-To: <vdr-bugs@cadsoft.de>\n"
 "POT-Creation-Date: 2008-02-10 12:22+0100\n"
-"PO-Revision-Date: 2007-08-12 14:17+0200\n"
+"PO-Revision-Date: 2008-03-07 14:17+0200\n"
 "Last-Translator: Yarema Aka Knedlyk <yupadmin@gmail.com>\n"
 "Language-Team: Ukrainian\n"
 "MIME-Version: 1.0\n"
@@ -187,31 +187,31 @@
 msgstr ""
 
 msgid "Key$User1"
-msgstr ""
+msgstr "1"
 
 msgid "Key$User2"
-msgstr ""
+msgstr "2"
 
 msgid "Key$User3"
-msgstr ""
+msgstr "3"
 
 msgid "Key$User4"
-msgstr ""
+msgstr "4"
 
 msgid "Key$User5"
-msgstr ""
+msgstr "5"
 
 msgid "Key$User6"
-msgstr ""
+msgstr "6"
 
 msgid "Key$User7"
-msgstr ""
+msgstr "7"
 
 msgid "Key$User8"
-msgstr ""
+msgstr "8"
 
 msgid "Key$User9"
-msgstr ""
+msgstr "8"
 
 msgid "Disk"
 msgstr ""
@@ -259,10 +259,10 @@
 msgstr "Dpid2 (AC3 2)"
 
 msgid "Spid1"
-msgstr ""
+msgstr " 1"
 
 msgid "Spid2"
-msgstr ""
+msgstr " 2"
 
 msgid "Tpid"
 msgstr "Tpid ()"
@@ -645,10 +645,10 @@
 msgstr " "
 
 msgid "Setup.DVB$Subtitle foreground transparency"
-msgstr ""
+msgstr "   "
 
 msgid "Setup.DVB$Subtitle background transparency"
-msgstr ""
+msgstr "   "
 
 msgid "LNB"
 msgstr ""
@@ -783,7 +783,7 @@
 msgstr "  "
 
 msgid "Setup.Miscellaneous$Emergency exit"
-msgstr ""
+msgstr " "
 
 msgid "Plugins"
 msgstr " "
diff -ruN vdr-1.5.17/tools.c vdr-1.5.18/tools.c
--- vdr-1.5.17/tools.c	2008-02-29 14:16:39.000000000 +0100
+++ vdr-1.5.18/tools.c	2008-03-05 18:23:47.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: tools.c 1.144 2008/02/29 13:16:39 kls Exp $
+ * $Id: tools.c 1.145 2008/03/05 17:23:47 kls Exp $
  */
 
 #include "tools.h"
@@ -1102,7 +1102,7 @@
   int r = 0;
   while (i < length && r < maxResult - 3) {
         result[r++] = b64[(data[i] >> 2) & 0x3F];
-        char c = (data[i] << 4) & 0x3F;
+        uchar c = (data[i] << 4) & 0x3F;
         if (++i < length)
            c |= (data[i] >> 4) & 0x0F;
         result[r++] = b64[c];
diff -ruN vdr-1.5.17/vdr.1 vdr-1.5.18/vdr.1
--- vdr-1.5.17/vdr.1	2008-02-10 15:23:12.000000000 +0100
+++ vdr-1.5.18/vdr.1	2008-03-09 17:07:06.000000000 +0100
@@ -8,11 +8,11 @@
 .\" License as specified in the file COPYING that comes with the
 .\" vdr distribution.
 .\"
-.\" $Id: vdr.1 1.32 2008/02/10 14:23:12 kls Exp $
+.\" $Id: vdr.1 1.33 2008/03/09 16:07:06 kls Exp $
 .\"
 .TH vdr 1 "10 Feb 2008" "1.6" "Video Disk Recorder"
 .SH NAME
-vdr - the Video Disk Recorder
+vdr \- the Video Disk Recorder
 .SH SYNOPSIS
 .B vdr
 [options]
diff -ruN vdr-1.5.17/vdr.5 vdr-1.5.18/vdr.5
--- vdr-1.5.17/vdr.5	2008-02-10 15:25:07.000000000 +0100
+++ vdr-1.5.18/vdr.5	2008-03-09 16:46:57.000000000 +0100
@@ -8,11 +8,11 @@
 .\" License as specified in the file COPYING that comes with the
 .\" vdr distribution.
 .\"
-.\" $Id: vdr.5 1.67 2008/02/10 14:25:07 kls Exp $
+.\" $Id: vdr.5 1.68 2008/03/09 15:46:57 kls Exp $
 .\"
 .TH vdr 5 "10 Feb 2008" "1.6" "Video Disk Recorder Files"
 .SH NAME
-vdr file formats - the Video Disk Recorder Files
+vdr_files \- the Video Disk Recorder Files
 .SH DESCRIPTION
 This page describes the formats of the various files \fBvdr\fR uses to
 store configuration data and recordings.
diff -ruN vdr-1.5.17/vdr.c vdr-1.5.18/vdr.c
--- vdr-1.5.17/vdr.c	2008-02-23 16:36:01.000000000 +0100
+++ vdr-1.5.18/vdr.c	2008-03-14 14:22:39.000000000 +0100
@@ -22,7 +22,7 @@
  *
  * The project's page is at http://www.cadsoft.de/vdr
  *
- * $Id: vdr.c 1.312 2008/02/23 15:36:01 kls Exp $
+ * $Id: vdr.c 1.313 2008/03/14 13:22:39 kls Exp $
  */
 
 #include <getopt.h>
@@ -546,6 +546,7 @@
   int MaxLatencyTime = 0;
   bool InhibitEpgScan = false;
   bool IsInfoMenu = false;
+  bool CheckHasProgramme = false;
   cSkin *CurrentSkin = NULL;
 
   // Load plugins:
@@ -730,7 +731,7 @@
         // Make sure we have a visible programme in case device usage has changed:
         if (!EITScanner.Active() && cDevice::PrimaryDevice()->HasDecoder() && !cDevice::PrimaryDevice()->HasProgramme()) {
            static time_t lastTime = 0;
-           if (!Menu && Now - lastTime > MINCHANNELWAIT) { // !Menu to avoid interfering with the CAM if a CAM menu is open
+           if ((!Menu || CheckHasProgramme) && Now - lastTime > MINCHANNELWAIT) { // !Menu to avoid interfering with the CAM if a CAM menu is open
               cChannel *Channel = Channels.GetByNumber(cDevice::CurrentChannel());
               if (Channel && (Channel->Vpid() || Channel->Apid(0))) {
                  if (!Channels.SwitchTo(cDevice::CurrentChannel()) // try to switch to the original channel...
@@ -739,6 +740,7 @@
                  }
               lastTime = Now; // don't do this too often
               LastTimerChannel = -1;
+              CheckHasProgramme = false;
               }
            }
         // Restart the Watchdog timer:
@@ -1120,6 +1122,7 @@
                             DELETE_MENU;
                             cControl::Shutdown();
                             Menu = new cMenuMain(osRecordings);
+                            CheckHasProgramme = true; // to have live tv after stopping replay with 'Back'
                             break;
              case osReplay: DELETE_MENU;
                             cControl::Shutdown();
